#!/bin/bash

PFAD=$1
DATEI=$2
TITEL="$3"

HEUTE=`date +'%d.%m.%Y'`

chmod a+rx $PFAD
chmod a+rx $PFAD/search

if [ -d "wkhtmltox"  ]
then
	echo "wkhtmltox existiert,  $PFAD/$DATEI.htm wird transformiert"
	./wkhtmltox/bin/wkhtmltopdf --margin-top '20' --margin-bottom '20' --encoding 'UTF-8'  --header-line --footer-line --footer-left "Erzeugt am $HEUTE" --footer-font-size '10' --footer-spacing '10'  --header-center "$TITEL" --header-right '[page]'  --outline-depth 10 toc --xsl-style-sheet toc_pdf.xsl  $PFAD/$DATEI.htm $PFAD/$DATEI.pdf >/dev/null 2>&1	
	OUT=$?
	RETCODE=1

	echo "wkhtmltox return code:"
	case $OUT in
	0)
	echo "All OK"
	RETCODE=0
	;;
	1)
	echo "PDF generated OK, but some request(s) did not return HTTP 200"
	RETCODE=0
	;;
	2)
	echo "Could not something something"
	RETCODE=1
	;;
	X)
	echo "Could not write PDF: File in use"
	RETCODE=1
	;;
	Y)
	echo "Could not write PDF: No write permission"
	RETCODE=1
	;;
	Z)
	echo "PDF generated OK, but some JavaScript requests(s) timeouted"
	RETCODE=0
	;;
	A)
	echo "Invalid arguments provided"
	RETCODE=1
	;;
	B)
	echo "Could not find input file(s)"
	RETCODE=1
	;;
	C)
	echo "Process timeout"
	RETCODE=1
	;;
	esac
	exit $RETCODE
else
	echo "echo wkhtmltox existiert nicht, nehme OO"
	cd $PFAD
	/usr/bin/soffice --headless --convert-to pdf $DATEI.htm
fi


