<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  version="1.0">
<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="yes" />
<xsl:template match="/mwTemplate">
<xsl:apply-templates select="*" />
</xsl:template>
<xsl:template match="Article_img_left">

<article class="media">
<figure class="media-left">
<p class="image is-128x128">
<xsl:call-template name="inlineImagelink">
<xsl:with-param name="imgsrcParam" select="imgsrc" />
<xsl:with-param name="hrefParam"  select="href" />
<xsl:with-param name="textParam"  select="text"/>
</xsl:call-template>
</p>
</figure>

<xsl:for-each select="text" >
<div class="media-content"><div class="content">
<xsl:copy-of select="." />
</div></div>
</xsl:for-each>
</article>

</xsl:template>

<xsl:template match="Hinweis">
<article class="media">
<figure class="media-left"><p class="image is-128x128">
<img src="lightbulb.svg" border="0" />
</p>
</figure>


<div class="media-content"><div class="content">
<xsl:for-each select="param" >
<xsl:copy-of select="paramValue" />
</xsl:for-each>
</div></div>

</article>
</xsl:template>

<xsl:template match="ImageTile">
<!--Beispiel: <ImageTile><imgsrc>superx-logo.svg</imgsrc>
<href>Memtext-Homepage</href>
<subtitle>Zur Memtext Homepage</subtitle>
</ImageTile>-->
<div class="tile">
<article class="tile is-child box">
<figure class="image is-128x128">
<img src="imgsrc"  width="20px" border="0" />
</figure>
<xsl:if test="href!='' or subtitle !=''">
<p class="subtitle">
<xsl:choose>
<xsl:when test="href!=''">
<a href="{href}"><xsl:copy-of select="subtitle"/></a>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="subtitle"/>
</xsl:otherwise>
</xsl:choose>
</p>
</xsl:if>
</article>
</div>
</xsl:template>

<xsl:template match="ImageLink">
<!--Beispiel: <ImageLink><param><paramName>imgsrc</paramName><paramValue>rRDWH.png</paramValue></param><param><paramName>link</paramName><paramValue><a href="http://www.superx-projekt.de">http://www.superx-projekt.de</a> </paramValue></param><param><paramName>text</paramName><paramValue>Exploring mit SuperX</paramValue></param></ImageLink>-->
<figure class="image is-128x128">
<xsl:call-template name="inlineImagelink">
<xsl:with-param name="imgsrcParam" select="param[paramName='imgsrc']/paramValue" />
<xsl:with-param name="hrefParam"  select="param[paramName='link']/paramValue" />
<xsl:with-param name="textParam"  select="param[paramName='text']/paramValue"/>
</xsl:call-template>
</figure>
</xsl:template>

<xsl:template name="inlineImagelink">
<xsl:param name="imgsrcParam" />
<xsl:param name="hrefParam" />
<xsl:param name="textParam" />
<xsl:variable name="imgrsrcElem">
<img src="{ $imgsrcParam }" border="0" alt="{ $textParam }" />
</xsl:variable>


<xsl:choose>
<xsl:when test="$hrefParam!=''">
<a href="{$hrefParam}"><xsl:copy-of select="$imgrsrcElem"/>
</a>
</xsl:when>
<xsl:otherwise>
<xsl:copy-of select="$imgrsrcElem"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="gallery">
<!--Beispiel: <gallery>
<GalleryImage><imgsrc>Icon_superx.png</imgsrc><href>Icon_superx.png</href><subtitle>Original-Icon von SuperX (Uni Karlsruhe)</subtitle></GalleryImage>
<GalleryImage><imgsrc>megaphone.svg</imgsrc><href>SuperX-Homepage#Aktuelles</href><subtitle>Aktuelles</subtitle></GalleryImage>
<GalleryImage><imgsrc>download.svg</imgsrc><href>SuperX-Homepage#Downloadbereich</href><subtitle>Zum Download-Bereich</subtitle></GalleryImage>
<GalleryImage><imgsrc>sx_users.svg</imgsrc><href>SuperX-Homepage#Zum_SuperX-Projekt</href><subtitle>Aktuelle Projektgruppe</subtitle></GalleryImage>
</gallery>-->
<xsl:variable name="mode"><xsl:value-of select="@mode"/></xsl:variable> 
<div class="tile is-ancestor">
<xsl:for-each select="GalleryImage">
<div class="tile is-parent">
<article>
<xsl:attribute name="class">
<xsl:choose>
<xsl:when test="contains($mode,'nolines')">
<xsl:text>tile is-child</xsl:text>
</xsl:when>
<xsl:otherwise>
<xsl:text>tile is-child box</xsl:text>
</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<figure> 
<xsl:attribute name="class">
<xsl:choose>
<xsl:when test="contains($mode,'packed')">
<xsl:text>image is-4by3</xsl:text>
</xsl:when>
<xsl:otherwise>
<xsl:text>image is-128x128</xsl:text>
</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<a>
<xsl:choose>
<xsl:when test="href!=''">
<xsl:attribute name="href"><xsl:value-of select="href"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="href"><xsl:value-of select="imgsrc"/></xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<img src="{imgsrc}"  width="20px" border="0" />
</a>
</figure>
<xsl:if test="subtitle !=''">
<p class="subtitle">
<xsl:choose>
<xsl:when test="href!=''">
<a href="{href}"><xsl:copy-of select="subtitle"/></a>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="subtitle"/>
</xsl:otherwise>
</xsl:choose>
</p>
</xsl:if>
</article>
</div>
</xsl:for-each>
</div>
</xsl:template>

</xsl:stylesheet>
