<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
<xsl:import href="page_Components.xsl" />
<xsl:variable name="singleQuote">&#39;</xsl:variable>
<xsl:output method="text" name="text"/>
<xsl:template match="/">
<xsl:text>
Ds= new Array();
Ds[1] = new Array();
Ds[1][1]= "Menuepunkt";
Ds[1][2]= "Seitentitel";
Ds[1][3]= "Volltext";
Ds[1][4]= "Datei";
</xsl:text>
<xsl:for-each select="/Document/chapter">
<xsl:text>Ds[</xsl:text><xsl:value-of select="@id+2"/><xsl:text>] = new Array();
Ds[</xsl:text><xsl:value-of select="@id+2"/><xsl:text>][1]= "</xsl:text><xsl:call-template name="prepareStringforJS">
<xsl:with-param name="content"><xsl:value-of select="shortName" /></xsl:with-param>
</xsl:call-template><xsl:text>";
Ds[</xsl:text><xsl:value-of select="@id+2"/><xsl:text>][2]= "</xsl:text><xsl:call-template name="prepareStringforJS">
<xsl:with-param name="content"><xsl:value-of select="name" /></xsl:with-param>
</xsl:call-template>
<xsl:text>";
Ds[</xsl:text><xsl:value-of select="@id+2"/><xsl:text>][3]= "</xsl:text><xsl:call-template name="prepareStringforJS">
<xsl:with-param name="content"><xsl:value-of select="summary" /></xsl:with-param>
</xsl:call-template>
<xsl:text>";
Ds[</xsl:text><xsl:value-of select="@id+2"/><xsl:text>][4]= "</xsl:text><xsl:value-of select="concat('../f_',fileName,'.htm')" />
<xsl:text>";

</xsl:text>
</xsl:for-each>
<xsl:text>
var AnzFelder= 4;
</xsl:text>
</xsl:template>
<xsl:template name="prepareStringforJS">
<xsl:param name="content" />
<xsl:call-template name="removeSingleQuote">
<xsl:with-param name="content"><xsl:value-of select="translate($content,'&quot;',' ')"/></xsl:with-param>
</xsl:call-template>
</xsl:template>
<xsl:template name="removeSingleQuote">
<xsl:param name="content" />
<!-- Anführungszeichen für js entfernen -->
<xsl:variable name="ret">
<xsl:call-template name="search_replace"><xsl:with-param name="string" select="$content" /><xsl:with-param name="search" select="$singleQuote" /><xsl:with-param name="replace" select="''" /></xsl:call-template>
</xsl:variable>
<xsl:call-template name="search_replace"><xsl:with-param name="string" select="$ret" /><xsl:with-param name="search" select="';'" /><xsl:with-param name="replace" select="'.'" /></xsl:call-template>

</xsl:template>
<xsl:template name="search_replace">
  <xsl:param name="string" />
  <xsl:param name="search" />
<xsl:param name="replace" />
  <xsl:choose>
    <xsl:when test="not($string)" />
    <xsl:when test="contains($string, $search)">
      <xsl:value-of select="substring-before($string, $search)" />
      <xsl:value-of select="$replace" /> 
      <xsl:call-template name="search_replace">
        <xsl:with-param name="string"
                        select="substring-after($string, $search)" />
	<xsl:with-param name="search"
                        select="$search" />
	<xsl:with-param name="replace"
                        select="$replace" />
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="$string" />
     </xsl:otherwise>
  </xsl:choose>
</xsl:template>
</xsl:stylesheet>