<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
<xsl:import href="page_Components.xsl" />
<xsl:param name="targetpath" />
<xsl:param name="pdf_file" />
<xsl:output method="html" name="html"/>

<xsl:template match="/">
<xsl:variable name="bodyfile" select="concat($targetpath,'/__indexneu.htm')"/>
<xsl:variable name="deeplinkpath" select="concat('http://www.superx-projekt.de',substring-after($targetpath,'webapps/superx'))"/>
<html>
<head><title><xsl:value-of select="name"/></title>
<META NAME = "author" content = "Daniel Quathamer"></META>
<META NAME = "copyright" content = "{concat('(c) ',format-dateTime(current-dateTime(),'[Y]'),' Daniel Quathamer')}"></META>
<META NAME = "date" content ="{format-dateTime(current-dateTime(),'[D].[M].[Y]')}"></META>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<style type="text/css"><xsl:text>
</xsl:text>
<xsl:value-of select="/Document/style"/>
</style>
<LINK REL="stylesheet" type="text/css" href="bulma.css"></LINK>
<LINK REL="stylesheet" type="text/css" href="superx.css"></LINK>
<base target="_self" />
</head>
<body><!--<h1><xsl:value-of select="/Document/chapter[@id=0]/name" /></h1>-->
<xsl:for-each select="/Document/chapter">


<!--<xsl:call-template name="header" />-->

<xsl:variable name="header_tagname">
<xsl:choose>
<xsl:when test="@level=0">
<xsl:text>h1</xsl:text>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="concat('h',@level)"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:element name="{$header_tagname}">
<xsl:if test="chapterNumber != ''"><span class="chapterNumber">
<xsl:value-of select="chapterNumber"/></span><xsl:text> </xsl:text></xsl:if>
<xsl:value-of select="name"/></xsl:element>


<div class="content">
<xsl:value-of select="concat('&#x23;body',@chapter_tid,'&#x23;')"/>
</div>

</xsl:for-each>

<footer class="footer">
<!--<xsl:variable name="fokus"><xsl:call-template name="getFilename">
<xsl:with-param name="id" select="@id" />
</xsl:call-template></xsl:variable>
<xsl:call-template name="footer" >
<xsl:with-param name="pdf_file" select="$pdf_file" />
<xsl:with-param name="fokus" select="concat('#targetpath#/',$fokus)" />
</xsl:call-template>-->
 </footer> 
</body>
</html>
</xsl:template>



</xsl:stylesheet>