<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="yes" />
<xsl:template match="/mwTemplate">
<xsl:apply-templates select="*" />
</xsl:template>
<xsl:template match="Article_img_left">

<article class="media">
<figure class="media-left">
<p class="image is-128x128">
<xsl:call-template name="inlineImagelink">
<xsl:with-param name="imgsrcParam" select="imgsrc" />
<xsl:with-param name="hrefParam"  select="href" />
<xsl:with-param name="textParam"  select="text"/>
<xsl:with-param name="widthParam"  select="'128px'"/>
</xsl:call-template>
</p>
</figure>

<xsl:for-each select="text" >
<div class="media-content"><div class="content">
<xsl:copy-of select="." />
</div></div>
</xsl:for-each>
</article>

</xsl:template>

<xsl:template match="Hinweis">
<article class="media">
<figure class="media-left"><p class="image is-64x64">
<img src="lightbulb.svg" border="0"  width="64" height="64" />
</p>
</figure>


<div class="media-content"><div class="content">
<xsl:for-each select="param" >
<xsl:copy-of select="paramValue" />
</xsl:for-each>
</div></div>

</article>
</xsl:template>

<xsl:template match="Achtung">
<article class="media">
<figure class="media-left"><p class="image is-48x48">
<img src="attention.svg" width="48" height="48" border="0" />
</p>
</figure>


<div class="media-content"><div class="content">
<!--<xsl:for-each select="param" >
<xsl:copy-of select="paramValue" />
</xsl:for-each>
-->

<xsl:copy-of select="." />
</div></div>

</article>
</xsl:template>

<xsl:template match="ImageTile">
<!--Beispiel: <ImageTile><imgsrc>superx-logo.svg</imgsrc>
<href>Memtext-Homepage</href>
<subtitle>Zur Memtext Homepage</subtitle>
</ImageTile>-->
<div class="tile">
<article class="tile is-child box">
<figure class="image is-128x128">
<img src="imgsrc"  width="20px" border="0" />
</figure>
<xsl:if test="link!='' or caption !=''">
<p class="subtitle">
<xsl:choose>
<xsl:when test="href!=''">
<a href="{link}"><xsl:copy-of select="caption"/></a>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="caption"/>
</xsl:otherwise>
</xsl:choose>
</p>
</xsl:if>
</article>
</div>
</xsl:template>

<xsl:template match="ImagePara">
<!--Beispiel: <ImagePara><imgsrc>superx-logo.svg</imgsrc>
<width>300px</width>
<caption>Zur Memtext Homepage</caption>
</ImageImagePara>-->
<div class="ImagePara">
            
<div style="float:left; padding:0; position:relative; left:0cm; ">
              
<a href="{param[paramName='imgsrc']/paramValue}"><img src="{param[paramName='imgsrc']/paramValue}"  width="{param[paramName='width']/paramValue}" border="0" alt="{param[paramName='caption']/paramValue}"></img></a>
</div>
<div style="clear:both; line-height:0; width:0; height:0; margin:0; padding:0;">&#160;</div>
  
</div>
</xsl:template>


<xsl:template match="ImageLink">
<!--Beispiel: <ImageLink><param><paramName>imgsrc</paramName><paramValue>rRDWH.png</paramValue></param><param><paramName>link</paramName><paramValue><a href="http://www.superx-projekt.de">http://www.superx-projekt.de</a> </paramValue></param><param><paramName>text</paramName><paramValue>Exploring mit SuperX</paramValue></param></ImageLink>-->

<xsl:call-template name="inlineImagelink">
<xsl:with-param name="imgsrcParam" select="param[paramName='imgsrc']/paramValue" />
<xsl:with-param name="hrefParam"  select="param[paramName='link']/paramValue" />
<xsl:with-param name="textParam"  select="param[paramName='text']/paramValue"/>
<xsl:with-param name="widthParam"  select="param[paramName='width']/paramValue"/>
</xsl:call-template>

</xsl:template>

<xsl:template name="inlineImagelink">
<xsl:param name="imgsrcParam" />
<xsl:param name="hrefParam" />
<xsl:param name="textParam" />
<xsl:param name="widthParam" select="'200px'" />
<xsl:variable name="imgrsrcElem">
<img src="{ $imgsrcParam }" border="0" alt="{ $textParam }" width="{ $widthParam}" />
</xsl:variable>


<xsl:choose>
<xsl:when test="$hrefParam!=''">
<a href="{$hrefParam}"><xsl:copy-of select="$imgrsrcElem"/>
</a>
</xsl:when>
<xsl:otherwise>
<xsl:copy-of select="$imgrsrcElem"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="gallery">
<!--Beispiel: <gallery>
<GalleryImage><imgsrc>Icon_superx.png</imgsrc><href>Icon_superx.png</href><subtitle>Original-Icon von SuperX (Uni Karlsruhe)</subtitle></GalleryImage>
<GalleryImage><imgsrc>megaphone.svg</imgsrc><href>SuperX-Homepage#Aktuelles</href><subtitle>Aktuelles</subtitle></GalleryImage>
<GalleryImage><imgsrc>download.svg</imgsrc><href>SuperX-Homepage#Downloadbereich</href><subtitle>Zum Download-Bereich</subtitle></GalleryImage>
<GalleryImage><imgsrc>sx_users.svg</imgsrc><href>SuperX-Homepage#Zum_SuperX-Projekt</href><subtitle>Aktuelle Projektgruppe</subtitle></GalleryImage>
</gallery>-->
<xsl:variable name="mode"><xsl:value-of select="@mode"/></xsl:variable> 
<div>
<xsl:attribute name="class"><xsl:value-of select="concat('grid has-',count(GalleryImage),'-cols')" /> 
</xsl:attribute>
<div class="grid">
 <xsl:for-each select="GalleryImage">
<div class="cell"><article>
<!--<article>
<xsl:attribute name="class">
<xsl:choose>
<xsl:when test="contains($mode,'nolines')">
<xsl:text>tile is-child</xsl:text>
</xsl:when>
<xsl:otherwise>
<xsl:text>tile is-child box</xsl:text>
</xsl:otherwise>
</xsl:choose>
</xsl:attribute>-->
<p>
<figure> 
<xsl:attribute name="class">
<xsl:choose>
<xsl:when test="contains($mode,'packed')">
<xsl:text>image is-4by3</xsl:text>
</xsl:when>
<xsl:otherwise>
<xsl:text>image is-128x128</xsl:text>
</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<a>
<xsl:choose>
<xsl:when test="href!=''">
<xsl:attribute name="href"><xsl:value-of select="href"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="href"><xsl:value-of select="imgsrc"/></xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<img src="{imgsrc}"  width="20px" border="0" />
</a>
</figure>
</p> 
<xsl:if test="subtitle !=''">
<p class="subtitle">
<xsl:choose>
<xsl:when test="href!=''">
<a href="{href}"><xsl:copy-of select="subtitle"/></a>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="subtitle"/>
</xsl:otherwise>
</xsl:choose>
</p>
</xsl:if>
</article>
<!--</article>-->
</div>
</xsl:for-each>
</div>
</div>


</xsl:template>
<xsl:template match="Ab_neu">
<!--Beispiel: {{Ab_neu|RELEASE=2020.12|TEXT= Diese Funktionalität wird erst ab HISinOne-BI Release 2021.12 bzw. SuperX-ERFOLG 0.9 bereitgestellt.}} 

-->
<article class="media">
<figure class="media-left"><p class="image is-128x128">
<img src="attention.svg" border="0" /><br />
Verfügbar ab Version
</p>
</figure>


<div class="media-content"><div class="content">
<xsl:text>HISinOne-BI: </xsl:text><xsl:value-of select="param[paramName='RELEASE']/paramValue" /><br />
<xsl:copy-of select="param[paramName='TEXT']/paramValue" />

</div></div>

</article>
</xsl:template>

<xsl:template match="Korrekt">
<b>√</b>
</xsl:template>
<xsl:template match="Automatisch">
<b>≈</b>
</xsl:template>
<xsl:template match="Vielleicht">
<b>?</b>
</xsl:template>
<xsl:template match="navigation">
<!--Beispiel: navigation:searchStudyStudies 
-->
<xsl:choose>
<xsl:when test="param/paramValue='searchStudyStudies'">
<span>Administration | Studiengänge | Studiengänge bearbeiten</span>
</xsl:when>
<xsl:otherwise>
<span>siehe <xsl:value-of select="param/paramValue"/></span>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="CardWithImgHeaderandFooter">

<div class="container is-fluid">
     <article class="media">
	   <figure class="media-left">
		<p class="image is-128x128">
		   <xsl:call-template name="inlineImagelink">
<xsl:with-param name="imgsrcParam" select="imgsrc" />
<xsl:with-param name="hrefParam"  select="link1" />
<xsl:with-param name="textParam"  select="text"/>
<xsl:with-param name="widthParam"  select="'128px'"/>
</xsl:call-template>
		</p>
	   </figure>
	 	   
	   <div class="media-content">
	   <div class="title is-2"><xsl:value-of select="title" /></div>
<div class="container mt-6">
<xsl:if test="subtitle !=''">
<div class="title is-3"><xsl:value-of select="subtitle" /></div>
</xsl:if>
		<xsl:for-each select="content" >
		<article class="media">
<xsl:copy-of select="." />
</article>
</xsl:for-each>
<!--jetzt footer-->
	<article class="media">
	<div class="buttons is-flex is-flex-wrap-wrap">
	<xsl:for-each select="link" >
		<a href="{href}">
				<button class="button is-grey is-rounded" alt="{name}" title="{name}"><xsl:value-of select="name" /> </button>
			</a>
			
	</xsl:for-each>
	</div>
	</article>
</div>

	  </div><!--ende media-content-->
       </article><!--ende article media: News-->
       </div><!--Ende container: News-->
       


</xsl:template>
</xsl:stylesheet>
